%define         anolis_release 1
Name:           wsdd
Version:        0.8
Release:        %{anolis_release}%{?dist}
Summary:        Web Services Dynamic Discovery host daemon
License:        MIT 
URL:            https://github.com/christgau/wsdd 
Source0:        https://github.com/christgau/wsdd/archive/v%{version}/wsdd-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  systemd
Requires(pre):  shadow-utils


%description
wsdd implements a Web Service Discovery host daemon. This enables (Samba)
hosts, like your local NAS device, to be found by Web Service Discovery Clients
like Windows.


%prep
%autosetup -p1


%install
install -pDm644 etc/firewalld/services/wsdd.xml %{buildroot}%{_usr}/lib/firewalld/services/wsdd.xml
install -pDm644 etc/firewalld/services/wsdd-http.xml %{buildroot}%{_usr}/lib/firewalld/services/wsdd-http.xml
install -pDm644 etc/systemd/wsdd.defaults %{buildroot}%{_sysconfdir}/sysconfig/wsdd
install -pDm644 etc/systemd/wsdd.service %{buildroot}%{_unitdir}/wsdd.service
install -pDm644 man/wsdd.8 %{buildroot}%{_mandir}/man8/wsdd.8
install -pDm755 src/wsdd.py %{buildroot}%{_bindir}/wsdd


%pre
getent group wsdd >/dev/null || groupadd -r wsdd
getent passwd wsdd >/dev/null || \
    useradd -r -g wsdd -d / -s /sbin/nologin \
    -c "%{summary}" wsdd
exit 0

%post
%systemd_post wsdd.service

%preun
%systemd_preun wsdd.service

%postun
%systemd_postun_with_restart wsdd.service

%files
%{_unitdir}/wsdd.service
%{_usr}/lib/firewalld/services/wsdd.xml
%{_usr}/lib/firewalld/services/wsdd-http.xml
%config(noreplace) %{_sysconfdir}/sysconfig/wsdd
%{_bindir}/wsdd
%{_mandir}/man8/wsdd.8*
%license LICENSE
%doc AUTHORS README.md


%changelog
* Fri Mar 28 2025 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.8-1
- init from upstream 0.8-1
